body {
    font-family: Arial, sans-serif;
    text-align: center;
    padding: 50px;
    background-color: black;
    margin: 0;
    padding: 0;
    overflow: hidden;
  }
  
  #access-container {
    border: 1px solid #ccc;
    padding: 20px;
    display: inline-block;
    color: #ccc;
  }
  
  input {
    padding: 10px;
    margin: 10px;
  }
  
  #error-message {
    color: red;
  }

  .menu-bar {
    display: flex;
    justify-content: flex-end;
    padding: 10px 20px;
    font-family: sans-serif;
  }
  
  .menu-bar a {
    margin-left: 20px;
    text-decoration: none;
    color: #333;
    font-weight: bold;
  }
  
  .menu-bar a:hover {
    text-decoration: underline;
  }

  .image-gallery img {
    position: absolute;
    width: 350px;
    height: auto;
    opacity: 0;
    transition: opacity 0.8s ease, transform 0.8s ease;
    pointer-events: none;
  }

  .image-gallery img.visible {
    opacity: 1;
    transform: scale(1);
  }

  @media screen and (max-width: 600px) {
    .menu-bar {
      justify-content: center;
      flex-wrap: wrap;
    }
  
    .menu-bar a {
      margin: 10px;
      font-size: 14px;
    }
  
    #access-container {
      padding: 15px;
      width: 90%;
      margin: 20px auto;
    }
  
    input {
      width: 90%;
    }
  
    .image-gallery img {
      width: 150px;
    }
  }